Doomsday Engine - Feature #1429

Support for Freedoom
2006-09-30 07:00 - flamepanther

Status: Closed Start date:

Priority: Normal % Done:
Assignee: skyjake

Category: 3rd party compatibility

Target version:

2015-12-18
40%

Description

| feel it would be very much in the spirit of free
software for jDoom to be able to play the freedoom
iwad. Atthe moment, this isn't possible because
several doors and switches in the levels don't work in
jDoom. It's probably the fault of the freedoom authors
for not making the iwad more compatible with vanilla
Doom, but here's a request for support anyway.

Subtasks:
Feature # 2143: Add FreeDOOM's FreeDM as a recognized Doom IWAD

Closed

Related issues:

Related to Feature #1325: Boom line types and sectors

Progressed

2004-02-08

Associated revisions

Revision 9764059 - 2017-01-16 22:42 - skyjake

Doom|Freedoom|libdoomsday: Identify data bundles for “freedoom.phase2”
While Freedoom is not fully supported, as a first step it now has its

own game mode and the different releases of the Phase 2 IWAD are
recognized.

IssuelD #1429

Revision 6a6fa979 - 2017-04-09 20:46 - skyjake

Doom|Freedoom: Added Freedoom Phase 1 as a known game

IssuelD #1429

History

#1 - 2006-10-30 23:09 - yagisan

Logged In: YES
user_id=1248824
Originator: NO

I'd rather it stay open until | can play FreeDoom in Doomsday the way FreeDoom is intended to be played. FWIW Chocolate Doom can't play
FreeDoom either, and it's devs have an interest in FreeDoom, so either FreeDoom will change, or we will implement missing Boom features -

eventually.

#2 - 2007-01-08 11:26 - alinezhad

Logged In: YES
user_id=1241178
Originator: NO

yes!
Freedoom should make use of the very beautiful Doomsday's Open-GL render.

#3 - 2007-05-18 04:29 - yagisan

Logged In: YES
user_id=1248824
Originator: NO
FreeDoom is Boom compatible. It will work once all Boom features are supported.

#4 - 2007-05-20 00:35 - mercury13_kiev

Logged In: YES
user_id=1732664
Originator: NO

Well, that's FreeDoom should become Doom2-compatible!

#5 - 2007-05-20 03:30 - flamepanther

Logged In: YES
user_id=1437996
Originator: YES

Actually, | would prefer for Freedom to become Doom Il compatible. However, that doesn't fit into the Freedom team's goals at all. Their goal is to
create content that can become a standalone 100% free game when used with a modern port of the Doom code, not an expansion for commercial
Doom Il. Since most of the popular ports support or plan to support Boom extensions, they don't see any reason not to use them. In any case, since
jDoom is going to support Boom extensions in the future, | think this request is a non-issue. Can this be closed?

#6 - 2013-10-20 20:52 - skyjake

- Tags set to Freedoom

- Subject changed from Support for freedoom to Support for Freedoom
- Category set to 3rd party compatibility

- Priority changed from Normal to High

#7 - 2014-01-12 16:51 - skyjake

- Status changed from New to In Progress

Freedoom IWAD files renamed: http://dengine.net/forums/viewtopic.php?f=7&t=1671

We should add separate game modes for Freedoom in libdoom and check which map features are missing for full support.

#8 - 2016-03-27 08:59 - skyjake
- % Done changed from 100 to 40

#9 - 2016-07-05 23:53 - skyjake

- Status changed from In Progress to Progressed

#10 - 2018-05-14 10:37 -

Since the posting of this Freedooms mapset has changed to be limit-removing, if not fully vanilla, so this issue might be solved now.

#11 - 2019-11-15 21:28 - skyjake
- Status changed from Progressed to Closed

- Assignee set to skyjake

Agreed. Closing since Boom features no longer required.
